Subject: [PATCH] Remove a dead assignment

From: Chris Wilson <[email-masked]>
Date: Wed, 25 May 2011 14:45:14 -0400

The assignment to fmt is dead and is also useless.

Signed-off-by: Chris Wilson <[email-masked]>
---

On Wed, May 25, 2011 at 07:18:57PM +0200, Michael Schubert wrote:
> There already is a patch on its way:
> 
> http://article.gmane.org/gmane.comp.version-control.git/174378

Thanks! Well, I wasn't going to report this dead assignment since
it wasn't done recently, but now I want to figure out how to properly
submit a patch. :) Am I there yet? and thanks for the help.

Thanks,
CHris

 pretty.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

diff --git a/pretty.c b/pretty.c
index dff5c8d..5667c7f 100644
--- a/pretty.c
+++ b/pretty.c
@@ -1082,7 +1082,6 @@ void userformat_find_requirements(const char *fmt, struct userformat_
        if (!fmt) {
                if (!user_format)
                        return;
-               fmt = user_format;
        }
        strbuf_expand(&dummy, user_format, userformat_want_item, w);
        strbuf_release(&dummy);
-- 
1.7.5.2.354.g19aea